diff -upr ioquake3svn1438/code/game/g_spawn.c ioquake3serverFix/code/game/g_spawn.c
--- ioquake3svn1438/code/game/g_spawn.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_spawn.c	2008-08-09 11:28:21.000000000 -0500
@@ -129,13 +129,6 @@ typedef struct {
 void SP_info_player_start (gentity_t *ent);
 void SP_info_player_deathmatch (gentity_t *ent);
 void SP_info_player_intermission (gentity_t *ent);
-//For Double Domination:
-void SP_info_player_dd (gentity_t *ent);
-void SP_info_player_dd_red (gentity_t *ent);
-void SP_info_player_dd_blue (gentity_t *ent);
-//standard domination:
-void SP_domination_point ( gentity_t *ent);
-
 void SP_info_firstplace(gentity_t *ent);
 void SP_info_secondplace(gentity_t *ent);
 void SP_info_thirdplace(gentity_t *ent);
@@ -193,11 +186,11 @@ void SP_team_CTF_blueplayer( gentity_t *
 void SP_team_CTF_redspawn( gentity_t *ent );
 void SP_team_CTF_bluespawn( gentity_t *ent );
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 void SP_team_blueobelisk( gentity_t *ent );
 void SP_team_redobelisk( gentity_t *ent );
 void SP_team_neutralobelisk( gentity_t *ent );
-//#endif
+#endif
 void SP_item_botroam( gentity_t *ent ) { }
 
 spawn_t	spawns[] = {
@@ -206,14 +199,6 @@ spawn_t	spawns[] = {
 	{"info_player_start", SP_info_player_start},
 	{"info_player_deathmatch", SP_info_player_deathmatch},
 	{"info_player_intermission", SP_info_player_intermission},
-//Double Domination player spawn:
-	{"info_player_dd", SP_info_player_dd},
-        {"info_player_dd_red", SP_info_player_dd_red},
-        {"info_player_dd_blue", SP_info_player_dd_blue},
-//Standard Domination point spawn:
-	{"domination_point", SP_domination_point},
-
-
 	{"info_null", SP_info_null},
 	{"info_notnull", SP_info_notnull},		// use target_position instead
 	{"info_camp", SP_info_camp},
@@ -274,11 +259,11 @@ spawn_t	spawns[] = {
 	{"team_CTF_redspawn", SP_team_CTF_redspawn},
 	{"team_CTF_bluespawn", SP_team_CTF_bluespawn},
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	{"team_redobelisk", SP_team_redobelisk},
 	{"team_blueobelisk", SP_team_blueobelisk},
 	{"team_neutralobelisk", SP_team_neutralobelisk},
-//#endif
+#endif
 	{"item_botroam", SP_item_botroam},
 
 	{NULL, 0}
@@ -424,7 +409,7 @@ void G_SpawnGEntityFromSpawnVars( void )
 	int			i;
 	gentity_t	*ent;
 	char		*s, *value, *gametypeName;
-	static char *gametypeNames[] = {"ffa", "tournament", "single", "team", "ctf", "oneflag", "obelisk", "harvester", "elimination", "ctfelimination", "lms", "dd", "dom"};
+	static char *gametypeNames[] = {"ffa", "tournament", "single", "team", "ctf", "oneflag", "obelisk", "harvester", "teamtournament"};
 
 	// get the next free entity
 	ent = G_Spawn();
@@ -594,12 +579,8 @@ void SP_worldspawn( void ) {
 
 	trap_SetConfigstring( CS_LEVEL_START_TIME, va("%i", level.startTime ) );
 
-	if ( *g_music.string && Q_stricmp( g_music.string, "none" ) ) {
-		trap_SetConfigstring( CS_MUSIC, g_music.string );
-	} else {
-		G_SpawnString( "music", "", &s );   
-		trap_SetConfigstring( CS_MUSIC, s );
-	}
+	G_SpawnString( "music", "", &s );
+	trap_SetConfigstring( CS_MUSIC, s );
 
 	G_SpawnString( "message", "", &s );
 	trap_SetConfigstring( CS_MESSAGE, s );				// map specific message
